#!/usr/bin/env ruby
# 
# Repopen issues for which the test it refers to is still quarantined.
# 
# A flaky test issue should be closed only when the quarantined test was reintroduced.
# 
require "gitlab"

# TODO: Fill this up with a list of issues that need to be reopened
# 
# First, run scripts/quarantine_tests_health.rb, and take the issues in the list that are listed as closed.
issue_ids = [
  426713,
  444899,
  332078,
  394693,
  403208,
  390310,
  449075,
  444686,
  456464,
  11057,
  444882,
  391611,
  410102,
  461551,
  444732,
  455603,
  375026,
  356772,
  297357,
  411332,
  444921,
  448371,
  325556,
  448411,
  375028,
  299575,
  338332,
  408233,
  395802,
  351426,
  383970,
  410100,
  391192,
  408749,
  207973,
  444683,
  343995,
  231426,
  393344,
  420845,
  388728,
  207951,
  391757,
  345229,
  389287,
  27959,
  375241,
  267525,
  446195,
  378184,
  408560,
  343006,
  393518,
  285294,
  27950,
  393331,
  209999,
  199050,
  196826,
  375024,
  327439,
  410109,
  391239,
  337477,
  224100,
  38277,
  268240,
  333793,
  333628,
  408223,
  408222,
  397040,
  448293,
  410496,
  446063,
  409990,
  358845,
  381115,
  408215,
  409984,
  410129,
  391780,
  415220,
  332317,
  251076,
  408387,
  444979,
  451677,
  463861,
  326194,
  330335,
  413230,
  444704,
  439529,
  341520,
  458136,
  446108,
  280554,
  196825,
  217810,
  294047,
  346542,
  231426
]

body = "I reopened this issue, because it is still referenced in the codebase to quarantine a spec, and this `quarantine:` reference should be removed"
issue_ids.each do |issue_id|
  Gitlab.reopen_issue('gitlab-org/gitlab', issue_id)
  Gitlab.create_issue_note('gitlab-org/gitlab', issue_id, body)

  puts "reopened issue https://gitlab.com/gitlab-org/gitlab/-/issues/#{issue_id}"
end
